# API Deprecation Report Conversion Ant Task

## Purpose

This task converts the XML report created by the `apitooling.apideprecation` Ant task into HTML files.

## Usage

### Description

The name of the Ant task is: `apitooling.apideprecation_reportconversion`. To be used, the jar file `apitooling-ant.jar` has to be on the Ant classpath.

    <apitooling.apideprecation_reportconversion
    	xmlfile="..."
    	htmlfile="..."
    	debug="..."
    />

### Parameters

Attribute | Description | Required
xmlfile | This attribute specifies the location of the xml file to convert. The location is specified using an absolute path. | Yes
htmlfile | This attribute specifies the location of the html file to generate. If omitted, the html file name will be the given xml file name where the extension is replaced with html. The location is specified using an absolute path. | No
debug | Set the debug value. The possible values are: `true`, `false` Default is `false`. | No

### Examples

     <apitooling.apideprecation_reportconversion
      xmlfile="/eclipse/deprecation/deprecation.xml"
      debug="true"

     />

This will run the task creating the `deprecation.html` file inside the folder `/eclipse/deprecation`.

If debug is enabled, some debug tracing will show up in the Ant console.

Analysis Ant Task
File Generation Ant Task
API Use Ant Task
API Freeze Ant Task
API Deprecation Ant Task
Analysis Report Conversion Ant Task